Get order cancellation eligibility by order ID
Determines whether an order is eligible for cancellation.
- Customers may initiate cancellation due to incorrect order placement.
- Merchants may initiate cancellation due to product unavailability, pricing errors, payment failures, or shipping restrictions.
This endpoint checks cancellation eligibility using the order ID.
You can also specify lineItemIds to check eligibility for specific line items.
If omitted, eligibility is checked for each item in the order.
Note:
- Use this endpoint only if you have the order ID.
- If you have an order number instead, use the order number–based endpoint:
POST /orders/order-number/{orderNumber}/actions/check-cancel-eligibility.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
24-character system-generated order ID returned in the response of Create Order - POST /orders endpoint.
Query Parameters
Merchant-defined cancellation policy. When omitted, the default policy is considered.
Line item IDs. If specified, gets eligibility of exchange for the given line items. If omitted, gets eligibility of exchange for each item in the order.
Response
OK
Eligibility details object.
Reason codes for returns
Fee details
Item's eligibility for return, cancellation, or exchange
24-character system-generated order ID
"62f3982438bcab1951be0a19"
Return, exchange or cancellation window as per merchant policy
"30D00H00M"
Policy type that determines eligibility of exchange, return, or cancellation. If omitted, the default policy is considered.
"Company Policy 2023"
